Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.makumba.devel.relations
Class FileRelations.RelationOrigin

    java.lang.Object
      org.makumba.devel.relations.FileRelations.RelationOrigin

Enclosing class:
  FileRelations

    public class FileRelations.RelationOrigin

extends Object

Origin of the relation

Version:
  $Id: FileRelations.java,v 1.1 Apr 23, 2008 2:59:44 PM manu Exp $
Author:
  Manuel Gay

Constructor Summary
`FileRelations.RelationOrigin(int startCol, int endCol, int startLine, int endLine, String tagName, String expr, String field, String reason)`

Method Summary
`int` | `getEndCol()` Gets the end column of the tag at the origin of a relation
`int` | `getEndLine()` Gets the end line of the tag at the origin of a relation
`String` | `getExpr()` Gets the expression at the origin of a relation.
`String` | `getField()` The field pointed by a relation to a MDD.
`String` | `getOtherReason()` Gets the reason at the origin of a relation, if none of the other elements could be provided.
`int` | `getStartCol()` Gets the start column of the tag at the origin of a relation
`int` | `getStartLine()` Gets the start line of the tag at the origin of a relation
`String` | `getTagName()` Gets the name of the tag at the origin of a relation
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### FileRelations.RelationOrigin

    public FileRelations.RelationOrigin(int startCol,
                                        int endCol,
                                        int startLine,
                                        int endLine,
                                        String tagName,
                                        String expr,
                                        String field,
                                        String reason)

Method Detail

### getStartCol

    public int getStartCol()

  Gets the start column of the tag at the origin of a relation

  Returns:
    the column of the start of the tag, -1 if it doesn't apply

### getEndCol

    public int getEndCol()

  Gets the end column of the tag at the origin of a relation

  Returns:
    the column of the end of the tag, -1 if it doesn't apply

### getStartLine

    public int getStartLine()

  Gets the start line of the tag at the origin of a relation

  Returns:
    the line of the start of the tag, -1 if it doesn't apply

### getEndLine

    public int getEndLine()

  Gets the end line of the tag at the origin of a relation

  Returns:
    the line of the end of the tag, -1 if it doesn't apply

### getTagName

    public String getTagName()

  Gets the name of the tag at the origin of a relation

  Returns:
    the name of the tag, or null if it doesn't apply

### getExpr

    public String getExpr()

  Gets the expression at the origin of a relation. This applies to relations to an MDD.

  Returns:
    the name of the expression at the origin of a relation, null otherwise

### getField

    public String getField()

  The field pointed by a relation to a MDD. This applies to relations to an MDD

  Returns:
    the field pointed by a relation. If the pointed type is an element of a setComplex (or other field type contained in a MDD), this will return a result of the kind "setName.fieldName" (e.g. address.streetno, with address being a setComplex)

### getOtherReason

    public String getOtherReason()

  Gets the reason at the origin of a relation, if none of the other elements could be provided. This is the case for Java->MDD relations, where the reason is the query issued in the Java BL.

  Returns:
    more information if available, null otherwise

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Docs generated on 2009-02-25 14:20